arbtrace_filter

설정한 필터 조건에 맞는 트랜잭션들에 대해서 trace 결과를 반환합니다.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Notes

모든 arbtrace 메서드는 22207815 까지의 블록만을 조회할 수 있습니다. 22207815 이후의 블록에서 arbtrace 메소드를 호출하면, 메소드가 실패하거나 예상치 못한 결과를 반환할 수 있습니다.

Path Params
string
required

생성한 노드 환경에 부여되는 ID. 19자리 숫자형식입니다.

Body Params
int32
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to arbtrace_filter
json
required
Defaults to [{"fromBlock": "0xc26f54", "toBlock": "0xc26f54","fromAddress":["0x36e85b58d6f66f0ad5ee4ee97eb5102fd9e4d110"]}]

다음 파라미터들을 배열로 입력합니다.

Trace할 필터 옵션을 Object 형식으로 입력합니다. 아래와 같은 필드를 포함합니다.
fromBlock:시작 블록의 Number(hex형식) 또는 "latest","earliest" 태그.
toBlock:시작 블록의 Number(hex형식) 또는 "latest","earliest" 태그.
fromAddress: 필터링하고자 하는 from 주소를 배열 형식으로 입력합니다.
toAddress: 필터링하고자 하는 to 주소를 배열 형식으로 입력합니다.
after: trace하고자 하는 offset 크기
count: trace batch에 표기하고자 하는 해당 trace의 수

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json